Skip to content

Get Usage For Run

GET /usage/runs/{run_id}
NameInTypeNotes
run_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseRunUsageBreakdownView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/usage/runs/{run_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
run_idstring (uuid)required—
run_coststringrequired—
ledger_coststringrequired—
reconciledbooleanrequired—
currencystringoptionalDefault "USD".
stepsUsageStepView[]optional—